## modemmanager-qt 5.49.0

=== debian/changelog ===
modemmanager-qt (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * Update symbols from build logs
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:43 +0100

modemmanager-qt (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:59 +0100

modemmanager-qt (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Add libglib2.0-dev as a -dev dependency
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:46 +0200

modemmanager-qt (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:07 +0200

modemmanager-qt (5.44.0-2) sid; urgency=medium

  * New revision
  * Add glib build-dep, and add the include dirs
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 21:19:32 +0100

modemmanager-qt (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:27 +0100

modemmanager-qt (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:17 +0100

modemmanager-qt (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:29:20 +0100

modemmanager-qt (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:06:08 +0100

modemmanager-qt (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:43:18 -0300

modemmanager-qt (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:49:08 +0000

modemmanager-qt (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:54 +0000

modemmanager-qt (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:47:43 +0000

modemmanager-qt (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:32:14 +0000

modemmanager-qt (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:59:04 +0200

modemmanager-qt (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Add a libkf5modemmanagerqt-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:42:24 +0200

modemmanager-qt (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:18:42 +0000

modemmanager-qt (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:41:27 +0200

modemmanager-qt (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:15:22 +0000

modemmanager-qt (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:38:04 +0000

modemmanager-qt (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:43:04 +0000

modemmanager-qt (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:25:56 +0000

modemmanager-qt (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:24:26 +0000

modemmanager-qt (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:42:02 +0000

modemmanager-qt (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:44:03 +0000

modemmanager-qt (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:10:01 +0000

modemmanager-qt (5.28.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Nov 2016 09:46:01 +0000

modemmanager-qt (5.27.0-0neon) xenial; urgency=medium

  * New release



=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.49.0~),
               graphviz,
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Breaks: libkf5modemmanagerqt-dev
Replaces: libkf5modemmanagerqt-dev
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.50.0

=== debian/changelog ===
modemmanager-qt (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.49.0~),
+               extra-cmake-modules (>= 5.50.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.52.0

=== debian/changelog ===
modemmanager-qt (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install modemmanager-qt.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:36 +0000

modemmanager-qt (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:12:09 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.52.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.53.0

=== debian/changelog ===
modemmanager-qt (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:50:14 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.52.0~),
+               extra-cmake-modules (>= 5.53.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.54.0

=== debian/changelog ===
modemmanager-qt (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Update install files
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:27:32 -0300

modemmanager-qt (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:17:30 +0100

modemmanager-qt (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:19:10 +0200

modemmanager-qt (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:10:50 +0200

modemmanager-qt (5.18.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * Debian merge. No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jan 2016 15:10:01 +0100

=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.54.0~),
               graphviz,
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt.git

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5modemmanagerqt-dev
Replaces: libkf5modemmanagerqt-dev
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.55.0

=== debian/changelog ===
modemmanager-qt (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:33:26 +0000

modemmanager-qt (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:42 +0000

=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.55.0~),
               graphviz,
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Breaks: libkf5modemmanagerqt-dev
Replaces: libkf5modemmanagerqt-dev
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.56.0

=== debian/changelog ===
modemmanager-qt (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:59 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.55.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.59.0

=== debian/changelog ===
modemmanager-qt (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:21:33 +0100

modemmanager-qt (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:42:43 +0100

modemmanager-qt (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:40:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.59.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.60.0

=== debian/changelog ===
modemmanager-qt (5.60.0-0ubuntu1) eoan; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:18:22 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.59.0~),
+               extra-cmake-modules (>= 5.60.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.61.0

=== debian/changelog ===
modemmanager-qt (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:55 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.60.0~),
+               extra-cmake-modules (>= 5.61.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.62.0

=== debian/changelog ===
modemmanager-qt (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:16 -0700

modemmanager-qt (5.61.0-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Build-Depend on qttools5-dev to fix a cross build failure
    (see #915122 for more info).

  [ Maximiliano Curia ]
  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update symbols files.
  * Update build-deps and deps with the info from cmake
  * Add missing version to maintscript
  * Release to experimental

  [ Jonathan Riddell ]
  * moved qdebug files

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:06 +0100

=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.62.0~),
               graphviz,
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.11.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/modemmanager-qt.git

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5modemmanagerqt-dev
Replaces: libkf5modemmanagerqt-dev
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.64.0

=== debian/changelog ===
modemmanager-qt (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:26:50 +0000

modemmanager-qt (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:09:16 +0100

=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.64.0~),
               graphviz,
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Breaks: libkf5modemmanagerqt-dev
Replaces: libkf5modemmanagerqt-dev
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.65.0

=== debian/changelog ===
modemmanager-qt (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:02:38 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.64.0~),
+               extra-cmake-modules (>= 5.65.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.67.0

=== debian/changelog ===
modemmanager-qt (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:52:46 +0000

modemmanager-qt (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:21:36 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.65.0~),
+               extra-cmake-modules (>= 5.67.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
project(ModemManagerQt VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

find_package(ModemManager 1.0 REQUIRED)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.12.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED Core DBus Xml)

add_definitions(${QT_DEFINITIONS})


include(GenerateExportHeader)

include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX MODEMMANAGERQT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfigVersion.cmake"
                        SOVERSION 6)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
# Enable unit testing
if (BUILD_TESTING)
    add_subdirectory(src/fakemodem)
    add_subdirectory(autotests)
endif ()

##################  examples  ################################
option(BUILD_EXAMPLES "Build example applications" FALSE)
if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif(BUILD_EXAMPLES)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5ModemManagerQt")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ModemManagerQt_QCH
        FILE KF5ModemManagerQtQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ModemManagerQtQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5ModemManagerQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5ModemManagerQtConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5ModemManagerQtTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5ModemManagerQtTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_version.h
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel
)

feature_summary(WHAT ALL   FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
#add_subdirectory(dbus)

include_directories(
    ${MODEMMANAGER_INCLUDE_DIRS}
)

set(ModemManagerQt_SRCS
    bearer.cpp
    generictypes.cpp
    interface.cpp
    manager.cpp
    modem.cpp
    modemsimple.cpp
    modem3gpp.cpp
    modem3gppussd.cpp
    modemcdma.cpp
    modemdevice.cpp
    modemfirmware.cpp
    modemlocation.cpp
    modemmessaging.cpp
    modemtime.cpp
    sim.cpp
    sms.cpp
)

set(DBUS_INTERFACES_FILES
   dbus/bearerinterface.cpp
   dbus/dbus_manager.cpp
   dbus/firmwareinterface.cpp
   dbus/locationinterface.cpp
   dbus/messaginginterface.cpp
   dbus/modem3gppinterface.cpp
   dbus/modemcdmainterface.cpp
   dbus/modeminterface.cpp
   dbus/modemmanager1interface.cpp
   dbus/siminterface.cpp
   dbus/simpleinterface.cpp
   dbus/smsinterface.cpp
   dbus/timeinterface.cpp
   dbus/ussdinterface.cpp
)

if (${MODEMMANAGER_VERSION} VERSION_EQUAL 1.2.0 OR ${MODEMMANAGER_VERSION} VERSION_GREATER 1.2.0)
    set(ModemManagerQt_SRCS
        ${ModemManagerQt_SRCS}
        modemoma.cpp
        modemsignal.cpp
        )

    set(DBUS_INTERFACES_FILES
        ${DBUS_INTERFACES_FILES}
        dbus/omainterface.cpp
        dbus/signalinterface.cpp
        )
endif()

if (${MODEMMANAGER_VERSION} VERSION_EQUAL 1.6.0 OR ${MODEMMANAGER_VERSION} VERSION_GREATER 1.6.0)
    set(ModemManagerQt_SRCS
        ${ModemManagerQt_SRCS}
        modemvoice.cpp
        call.cpp
        )

    set(DBUS_INTERFACES_FILES
        ${DBUS_INTERFACES_FILES}
        dbus/callinterface.cpp
        dbus/voiceinterface.cpp
        )
endif()

ecm_qt_export_logging_category(
    IDENTIFIER MMQT
    CATEGORY_NAME modemmanager-qt
    DEFAULT_SEVERITY Warning
    DESCRIPTION "ModemManagerQt"
    EXPORT MODEMMANAGERQT
)

add_library(KF5ModemManagerQt SHARED ${ModemManagerQt_SRCS} ${DBUS_INTERFACES_FILES})
generate_export_header(KF5ModemManagerQt BASE_NAME ModemManagerQt)
add_library(KF5::ModemManagerQt ALIAS KF5ModemManagerQt)

target_include_directories(KF5ModemManagerQt INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt>")

target_link_libraries(KF5ModemManagerQt PUBLIC Qt5::Core Qt5::DBus Qt5::Xml)

set_target_properties(KF5ModemManagerQt PROPERTIES VERSION ${MODEMMANAGERQT_VERSION_STRING}
                                                   SOVERSION ${MODEMMANAGERQT_SOVERSION}
                                                   EXPORT_NAME ModemManagerQt
)

target_include_directories(KF5ModemManagerQt PUBLIC ${MODEMMANAGER_INCLUDE_DIRS})

########### static lib for tests  ###############
add_library(KF5ModemManagerQt_static STATIC ${ModemManagerQt_SRCS} ${DBUS_INTERFACES_FILES})
set_target_properties(KF5ModemManagerQt_static PROPERTIES COMPILE_FLAGS -DMMQT_STATIC=1)

target_link_libraries(KF5ModemManagerQt_static PUBLIC Qt5::Core Qt5::DBus Qt5::Xml)
target_include_directories(KF5ModemManagerQt_static PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..;${CMAKE_CURRENT_BINARY_DIR}/..>")

ecm_generate_headers(ModemManagerQt_HEADERS
  HEADER_NAMES
  Call
  Bearer
  GenericTypes
  Interface
  Manager
  Modem
  Modem3Gpp
  Modem3GppUssd
  ModemCdma
  ModemDevice
  ModemFirmware
  ModemLocation
  ModemMessaging
  ModemSignal
  ModemSimple
  ModemTime
  ModemOma
  ModemVoice
  Sim
  Sms

  REQUIRED_HEADERS ModemManagerQt_HEADERS
)

install(TARGETS KF5ModemManagerQt EXPORT KF5ModemManagerQtTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

# KF6: install to path having both include visibility layer & namespace dir prefix
# CamelCase includes to ${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt/ModemManagerQt
# normal headers to ${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt/modemmanagerqt
# The generated cmake config files are already accidentally pointing to the first layer, by
# target_include_directories(KF5ModemManagerQt INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt>")
# next to the actual include base ${KF5_INCLUDE_INSTALL_DIR} being set via KF5_INSTALL_TARGETS_DEFAULT_ARGS
# so this can stay untouched
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/modemmanagerqt_export.h
  ${ModemManagerQt_HEADERS}
  DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/ModemManagerQt COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT MODEMMANAGERQT
    FILE modemmanagerqt.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5ModemManagerQt_QCH
        NAME ModemManagerQt
        BASE_NAME KF5ModemManagerQt
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${ModemManagerQt_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            Qt5DBus_QCH
            Qt5Xml_QCH
        BLANK_MACROS
            MODEMMANAGERQT_EXPORT
            MODEMMANAGERQT_DEPRECATED
            MODEMMANAGERQT_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
modemmanager-qt (5.68.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:01 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.67.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CXXFLAGS_MAINT_APPEND := $(shell pkg-config --cflags glib-2.0)
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5modemmanagerqt6-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable unit tests at build time
	:

## modemmanager-qt 5.71.0

=== debian/changelog ===
modemmanager-qt (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:08:52 +0100

modemmanager-qt (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Mon, 08 Jun 2020 08:56:09 +0100

modemmanager-qt (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:03 +0200

modemmanager-qt (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:34:31 +0100

modemmanager-qt (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Update qtlogging categories files.
  * Delete not created pri file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:56:33 +0200

=== debian/control ===
Source: modemmanager-qt
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules (>= 5.71.0~),
               graphviz,
               libglib2.0-dev,
               libqt5sql5-sqlite,
               modemmanager-dev (>= 1.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.4),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
Rules-Requires-Root: no

Package: libkf5modemmanagerqt-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Qt wrapper library for ModemManager (documentation)
 Qt wrapper for ModemManager DBus API.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5modemmanagerqt6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt wrapper library for ModemManager
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of the KDE Frameworks.

Package: modemmanager-qt-dev
Section: libdevel
Architecture: any
Depends: libglib2.0-dev,
         libkf5modemmanagerqt6 (= ${binary:Version}),
         modemmanager-dev (>= 1.0),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5modemmanagerqt-dev
Replaces: libkf5modemmanagerqt-dev
Recommends: libkf5modemmanagerqt-doc (= ${source:Version})
Description: Qt wrapper for ModemManager - devel files
 Qt wrapper for ModemManager DBus API.
 .
 This package is part of KDE Frameworks.
 .
 This package contains the development files

## modemmanager-qt 5.72.0

=== debian/changelog ===
modemmanager-qt (5.72.0-0ubuntu2) groovy; urgency=medium

  * Drop testsuite.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Aug 2020 00:15:18 +0100

modemmanager-qt (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:35:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.71.0~),
+               extra-cmake-modules (>= 5.72.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND := $(shell pkg-config --cflags glib-2.0)

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable unit tests at build time
	:

## modemmanager-qt 5.73.0

=== debian/changelog ===
modemmanager-qt (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:00:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.72.0~),
+               extra-cmake-modules (>= 5.73.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.74.0

=== debian/changelog ===
modemmanager-qt (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:01:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.73.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.76.0

=== debian/changelog ===
modemmanager-qt (5.76.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.75.0)
  * New upstream release (5.76.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Nov 2020 13:25:02 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 12),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.76.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,

## modemmanager-qt 5.77.0

=== debian/changelog ===
modemmanager-qt (5.77.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Disable testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Jan 2021 18:02:11 +0000

modemmanager-qt (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:37 +0900

modemmanager-qt (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:56 +0900

modemmanager-qt (5.77.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.77.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Dec 2020 20:12:22 +0000

modemmanager-qt (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:11:55 +0200

modemmanager-qt (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5modemmanagerqt6.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:43:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: modemmanager-qt
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.76.0~),
+               extra-cmake-modules (>= 5.77.0~),
                graphviz,
                libglib2.0-dev,
                libqt5sql5-sqlite,
                modemmanager-dev (>= 1.0),
                pkg-config,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.13.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/modemmanager-qt
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/modemmanager-qt
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/modemmanager-qt
 Rules-Requires-Root: no
@@ -47,7 +48,7 @@
 Depends: libglib2.0-dev,
          libkf5modemmanagerqt6 (= ${binary:Version}),
          modemmanager-dev (>= 1.0),
-         qtbase5-dev (>= 5.12.0~),
+         qtbase5-dev (>= 5.13.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5modemmanagerqt-dev
